# 目录说明
bin （生产的脚本及其配置）

template （模板）

# 初始化脚本步骤
1、使用代码生成
2、将生成的bin 下的文件上传服务器(10.0.120.26 192.169.201.14) /home/soft/deploy 文件夹


# 步骤
1、配置ssh
2、分发:/server/ip/initEnv.sh 到各自服务器/root/initEnv.sh
3、pssh 执行/root/initEnv.sh 脚本
4、pscp 发送项目配置文件到生产


# 步骤
mkdir -p /usr/local/nginx/conf/conf.d.start
mkdir -p /usr/local/nginx/conf/conf.d.stop
chmod 777 /usr/local/nginx/conf/conf.d.start
chmod 777 /usr/local/nginx/conf/conf.d.stop


```shell
# 初始化环境
#pscp -h /home/soft/deploy/server/phh_hosts.txt /home/soft/deploy/server/10.0.120.36/initEnv.sh /root
#pssh -h /home/soft/deploy/server/phh_hosts.txt -i bash /home/soft/deploy/mmm/init.sh
```

# 政务网服务网

1、免密登录
执行脚本
```shell
sh ssh_auto.sh
```

2、安装skywalking 客户端

```shell
pscp -r -h /home/soft/deploy/server/host_ip_skywalking.txt /usr/local/skywalking /usr/local/
```

3、安装logstash 客户端

```shell
pscp -r -h /home/soft/deploy/server/host_ip_logstash.txt /usr/local/logstash-6.4.3 /usr/local/
```

4、拷贝java\nginx安装包到服务器
```shell
pscp -r -h /home/soft/deploy/server/host_ip_skywalking.txt /usr/local/src/jdk-8u241-linux-x64.rpm /usr/local/src/
pscp -r -h /home/soft/deploy/server/host_ip_skywalking.txt /usr/local/src/nginxInstall /usr/local/src/
```

5、检查未安装java的服务器并进行java安装

```shell
pscp -h /home/soft/deploy/server/host_ip_java_check.txt /home/soft/deploy/server/install_java_check.sh /usr/local/src
pssh -h /home/soft/deploy/server/host_ip_java_check.txt -i bash /usr/local/src/install_java_check.sh
```



6、检查未安装nginx的服务器并进行java安装

```shell
pscp -h /home/soft/deploy/server/host_ip_nginx_check.txt /home/soft/deploy/server/install_nginx_check.sh /usr/local/src
pssh -h /home/soft/deploy/server/host_ip_nginx_check.txt -i bash /usr/local/src/install_nginx_check.sh

10.0.120.134	192.169.201.138
```


7、创建部署目录

```shell
pscp -h /home/soft/deploy/server/host_ip_skywalking.txt /home/soft/deploy/server/mkdir_common.sh /usr/local/src
pssh -h /home/soft/deploy/server/host_ip_skywalking.txt -i bash /usr/local/src/mkdir_common.sh

```
# 二、增量

8、部署文件更新 

执行 GeneratorScript


(10.0.120.26 192.169.201.14) 日志收集与展示服务器3

拷贝生产的脚本到服务器

cd /home/soft/deploy


文件进行 dos/unix 格式转换
```shell
sh formatFile.sh
```

发送最新部署文件

```shell
sh push_script.sh
```

执行初始化 /home/soft 脚本
```shell
pssh -h /home/soft/deploy/server/host_ip_push_script.txt -i bash /home/soft/initEnv.sh

```

执行拷贝 nginx 配置文件

```shell
pssh -h /home/soft/deploy/server/host_ip_push_script.txt -i bash /home/soft/copyNginxConfig.sh
```

9、git拉取jenkins job

GeneratorGitJobScript
git jenkins job 生成

172.16.11.32 192.168.188.15 前端应用服务器-指挥调度

cd /home/soft

先执行 createJob

再拷贝
/home/soft/docker/jenkins/data/jobs


10、推送jenkins job
GeneratorPushScript
(10.0.120.26 192.169.201.14) 日志收集与展示服务器3

cd /home/soft/jenkins-job-bak

先执行 createJob

再拷贝

11、重启 jenkins job

GeneratorDeployJobScript 
(10.0.120.26 192.169.201.14) 日志收集与展示服务器3

cd /home/soft/jenkins-job-bak 

先执行 createJob

再拷贝

12、修改政务网nginx
个子系统参照生成的 server 下 zww-nginx.conf
10.0.120.221	192.169.201.191
10.0.120.103	192.169.201.111
10.0.120.61	    192.169.201.184


13、修改互联网nginx
172.16.11.29	192.168.188.12
172.16.11.30	192.168.188.13

个子系统参照生成的 server 下 hlw-nginx.conf


14、配置网关


15、批量更新拉取git构建上传批量更新jenkinsjob
UPDATE loit_model_version t SET t.upload_type='0',t.code_branch="origin/test",t.jenkins_job=(SELECT CONCAT('loit-git-branch-',SUBSTRING(model_service_name,6),"-module-build") FROM loit_project_model m WHERE m.model_id=t.model_id)


16、代办

rm -rf /var/jenkins_home/.m2/repository/com/loit/*
ls -la /var/jenkins_home/.m2/repository/com/loit/

新增服务器nginx 配置 /usr/local/nginx/conf/
新增服务器需要先配置 jenkins ssh(页面配置)
配置中心配置合并
手机端h5 验证

17、 已配置系统

移动门户
门户
网关
单点
消息
通知

勤务报备 后端
应用门户webportal （web \后端\h5）
coordinator协调联动（web \后端\h5）
通用表单（web\后端\h5）
nacos 稳定性（日志）
门户前端访问路径加时间搓
elk 问题查看
h5 前端全部不转发
灰度event数据定期删除


18、待处理
执法办案（enforce），法规案由




配置文档增加列
代码拉取jenkins-job  loit-git-branch-duty-report-module-build
推送jenkins-job
部署jenkins-job
配置中心

代码分支 origin/test




rm -rf /home/soft/loit-gray-8128?
rm -rf /home/soft/loit-gray-8128/logs?

rm -rf /home/soft/loit-version-web-9126?





